PoolerConnectionSource

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.server
Class PoolerConnectionSource

    java.lang.Object
      org.openswing.swing.server.PoolerConnectionSource

All Implemented Interfaces:
  ConnectionSource

public class PoolerConnectionSource
extends java.lang.Object
implements ConnectionSource

Title: OpenSwing Framework

Description: Database Connection Manager: it manager database connections, using a free connection pooler. This class requires a "pooler.ini" file having the following properties:

- "logLevel" - possible values: debug = 4, info = 3, warn = 2, error = 1, fatal = 0
- "driverClass" - JDBC driver class name
- "maxCount" - maximum number of opened connections inside the pooler
- "minCount" - minimum number of opened connections inside the pooler
- "user" - database username
- "password" - database password
- "url" - JDBC database connection URL
- "loginTimeout" - timeout (in seconds) on database login ("0" no timeout)
- "holdTimeout" - timemout (in seconds) on holding opened a connection
- "waitTimeout" - timeout (in milliseconds) on waiting an available connection

The following are pre-defined:

- "logLevel" = 1
- "maxCount" = 5
- "minCount" = 1
- "loginTimeout" = 0
- "holdTimeout" = 1000
- "waitTimeout" = 10000

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`PoolerConnectionSource()`

Method Summary
`java.sql.Connection` | `getConnection(javax.servlet.ServletContext context)`
`boolean` | `initPooler(javax.servlet.http.HttpServlet servlet)` Initialize the connection pooler.
`void` | `releaseConnection(java.sql.Connection conn, javax.servlet.ServletContext context)` Release a database connection
`void` | `saveProperties(javax.servlet.ServletContext context, java.lang.String driverClass, java.lang.String user, java.lang.String password, java.lang.String url)` Create a "pooler.ini" file with mandatory parameters only.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PoolerConnectionSource

    public PoolerConnectionSource()

Method Detail

### saveProperties

    public final void saveProperties(javax.servlet.ServletContext context,
                                     java.lang.String driverClass,
                                     java.lang.String user,
                                     java.lang.String password,
                                     java.lang.String url)

  Create a "pooler.ini" file with mandatory parameters only.

  Parameters:
    `driverClass` - JDBC driver class name
    `user` - database username
    `password` - database password
    `url` - JDBC database connection URL

### initPooler

    public boolean initPooler(javax.servlet.http.HttpServlet servlet)

  Initialize the connection pooler. Called by ConnectionManager.initConnectionSource method.

  Specified by:
    `initPooler` in interface `ConnectionSource`

### getConnection

    public java.sql.Connection getConnection(javax.servlet.ServletContext context)
                                      throws java.lang.Exception

  Specified by:
    `getConnection` in interface `ConnectionSource`
  Parameters:
    `context` - servlet context; used to retrieve database connection settings
  Returns:
    new database connection
  Throws:
    `java.lang.Exception`

### releaseConnection

    public void releaseConnection(java.sql.Connection conn,
                                  javax.servlet.ServletContext context)

  Release a database connection

  Specified by:
    `releaseConnection` in interface `ConnectionSource`
  Parameters:
    `conn` - database connection to release
    `context` - servlet context; used to retrieve database connection settings

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD